/**
  ******************************************************************************
  * @file    vk2c23a.c
  * @author  kevin_guo
  * @version V1.2
  * @date    05-17-2020
  * @brief   This file contains all the vk2c23a functions. 
	*          ļ VK2c23a
  ******************************************************************************
  * @attention
  ******************************************************************************
  */	
/* Includes ------------------------------------------------------------------*/
#include "vk2c23a.h"
  
/* extern variables ----------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
#define VK2c23a_CLK 10 //SCLźƵ,delay_nusʵ 50->10kHz 10->50kHz 5->100kHz
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
//segtab[]ӦʵʵоƬLCDߣ߼-VK2c23aο·
//Vk2c23a 4com 
unsigned char vk2c23a_segtab[Vk2c23a_SEGNUM]={
	0,1,2,3,4,5,6,7,8,9,						//SEG0-SEG9
	10,11,12,13,14,15,16,17,18,19,	//SEG10-SEG19
	20,21,22,23,24,25,26,27,28,29,	//SEG20-SEG29
	30,31,32,33,34,35,36,37,38,39,  //SEG30-SEG39
	40,41,42,43,44,45,46,47,48,49,  //SEG40-SEG49
	50,51,52,53,54,								  //SEG50-SEG54
};
//Vk2c23a 8com 
//unsigned char vk2c23a_segtab[Vk2c23a_SEGNUM]={
//	4,5,6,7,8,9,										//SEG4-SEG9
//	10,11,12,13,14,15,16,17,18,19,	//SEG10-SEG19
//	20,21,22,23,24,25,26,27,28,29,	//SEG20-SEG29
//	30,31,32,33,34,35,36,37,38,39,  //SEG30-SEG39
//	40,41,42,43,44,45,46,47,48,49,  //SEG40-SEG49
//	50,51,52,53,54,								  //SEG50-SEG54
//};
//LCDʵֻSEG10SEG21ʹ
//.hļVK2c23a_SEGNUM=12
//const unsigned char vk2c23a_segtab[VK2c23a_SEGNUM]={	
//	10,11,12,13,14,15,16,17,18,19,	//SEG10-SEG19
//	20,21,													//SEG20-SEG21
//};
//vk2c23a_dispramӦоƬʾRAM
//4com
unsigned char vk2c23a_dispram[Vk2c23a_SEGNUM/2];//4COMʱÿֽݶӦ2SEG
//8com
//unsigned char vk2c23a_dispram[Vk2c23a_SEGNUM];//8COMʱÿֽݶӦ1SEG
//Ӧvk2c23a_segtab[VK2c23a_SEGNUM]
//ʾRAM bufferΪ8λӦ2SEGbit7/bit3->com3,bit6/bit2->com2,bit5/bit1->com1,bit4/bit0->com0
//ʾRAM bufferΪ8λӦ1SEGbit7->com7,bit6->com6,...,bit0->com0
//LCD ʵ  38
//1ǰλ2ʮλ3Ǹλ
/*ʾbufferlcdͼӳϵ
//4COM
vk2c23a_dispram[VK2c23a_SEGNUM/2]=
{//com3   com2   com1     com0 //ӦоƬSEG  ӦʾRAM
	1D,     1E,    1F,      1A,     //seg4   			vk2c23a_dispram[2]-bit3-bit0
	  ,     1C,    1G,      1B,     //seg5				vk2c23a_dispram[2]-bit7-bit4
	2D,     2E,    2F,      2A,     //seg6				vk2c23a_dispram[3]-bit3-bit0
	  ,     2C,    2G,      2B,     //seg7				vk2c23a_dispram[3]-bit7-bit4
	3D,     3E,    3F,      3A,		  //seg8				vk2c23a_dispram[4]-bit3-bit0
	  ,     3C,    3G,      3B,			//seg9				vk2c23a_dispram[4]-bit7-bit4
}
//8COM
vk2c23a_dispram[VK2c23a_SEGNUM]=
{//com7   com6   com5     com4   com3   com2   com1     com0 //ӦоƬSEG  ӦʾRAM
	 1D,     1E,    1F,      1A,    ,     1C,    1G,      1B,  //seg6   			vk2c23a_dispram[2]
	 2D,     2E,    2F,      2A,    ,     2C,    2G,      2B,  //seg7   			vk2c23a_dispram[3]
	 3D,     3E,    3F,      3A,    ,     3C,    3G,      3B,  //seg8   			vk2c23a_dispram[4]
}
*/
/*8ֵ 
     A
   F   B
     G
	 E   C
	   D
*/
unsigned char shuzi_zimo[15]= //ַֺģ
{
//0    1    2    3    4    5    6    7    8    9    -    L    o    H    i 
	0x5F,0x50,0x3D,0x79,0x72,0x6B,0x6F,0x51,0x7F,0x7B,0x20,0x0E,0x6C,0x76,0x50
};
unsigned char vk2c23a_segi,vk2c23a_comi;
unsigned char vk2c23a_maxcom;//comVK2C23A4com8com
/* Private function prototypes -----------------------------------------------*/
unsigned char Vk2c23a_InitSequence(void);
/* Private function ----------------------------------------------------------*/
/*******************************************************************************
* Function Name  : delay_nus
* Description    : ʱ1uS
* Input          : n->ʱʱnuS
* Output         : None
* Return         : None
*******************************************************************************/
void delay_nus(unsigned int n)	   
{
	unsigned char i;
	while(n--)
	{
		i=10;
		while(i--)
		{//nopָݵƬӦ޸
			__nop();
		}
	}
}
/*******************************************************************************
* Function Name  : delay_nms
* Description    : ʱ1mS
* Input          : n->ʱʱnmS
* Output         : None
* Return         : None
*******************************************************************************/
void delay_nms(unsigned long int n)
{
	while(n--)
	{
		delay_nus(1000);
	}
}
/*******************************************************************************
* Function Name  : I2CStart
* Description    : ʱ߸ʱɸߵ͵䣬ʾI2Cʼź
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_I2CStart( void )
{
  Vk2c23a_SCL_H();
  Vk2c23a_SDA_H();
  delay_nus(VK2c23a_CLK);
  Vk2c23a_SDA_L();
  delay_nus(VK2c23a_CLK);
}
/*******************************************************************************
* Function Name  : I2CStop
* Description    : ʱ߸ʱɵ͵ߵ䣬ʾI2Cֹͣź
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_I2CStop( void )
{
  Vk2c23a_SCL_H();
  Vk2c23a_SDA_L();
  delay_nus(VK2c23a_CLK);
  Vk2c23a_SDA_H();
  delay_nus(VK2c23a_CLK);
}
/*******************************************************************************
* Function Name  : I2CSlaveAck
* Description    : I2Cӻ豸Ӧѯ
* Input          : None
* Output         : None
* Return         : 0-ok 1-fail
*******************************************************************************/
unsigned char Vk2c23a_I2CSlaveAck( void )
{
  unsigned int TimeOut;
  unsigned char RetValue;
	
  Vk2c23a_SCL_L();
	//ƬSDAΪIOҪΪ
	Vk2c23a_SET_SDA_IN();
  delay_nus(VK2c23a_CLK);
  Vk2c23a_SCL_H();//9sclk

  TimeOut = 10000;
  while( TimeOut-- > 0 )
  {
    if( Vk2c23a_GET_SDA()!=0 )//ȡack
    {
      RetValue = 1;
    }
    else
    {
      RetValue = 0;
      break;
    }
  } 
	Vk2c23a_SCL_L();
	//ƬSDAΪIOҪΪ
	Vk2c23a_SET_SDA_OUT(); 
  
  return RetValue;
}
/*******************************************************************************
* Function Name  : I2CWriteByte
* Description    : I2Cдһֽ,͸λ
* Input          : byte-Ҫд
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_I2CWriteByte( unsigned char byte )
{
	unsigned char i=8;
	while (i--)
	{ 
		Vk2c23a_SCL_L();
		if(byte&0x80)
			Vk2c23a_SDA_H();
		else
			Vk2c23a_SDA_L();
		byte<<=1; 
		delay_nus(VK2c23a_CLK);
		Vk2c23a_SCL_H();     
		delay_nus(VK2c23a_CLK);
	}
}

/*******************************************************************************
* Function Name  : WriteCmd
* Description    : д1ֽ
* Input          : cmd-Ҫд
*                : data-ҪдĲ
* Output         : None
* Return         : 0-ok 1-fail
*******************************************************************************/
unsigned char WriteCmdVk2c23a(unsigned char cmd, unsigned char data )
{
	Vk2c23a_I2CStart();

	Vk2c23a_I2CWriteByte( Vk2c23a_ADDR|0x00 );
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop(); 
		return 0;   
	}
	Vk2c23a_I2CWriteByte( cmd );
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop(); 
		return 0;   
	}
	Vk2c23a_I2CWriteByte( data );
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop(); 
		return 0;   
	}
  Vk2c23a_I2CStop();
 
  return 0;    //زɰܱ־
}
/*******************************************************************************
* Function Name  : Write1Data
* Description    : д1ֽݵʾRAM
* Input          : Addr-дramĵַ
*                : Dat->дram
* Output         : None
* Return         : 0-ok 1-fail
*******************************************************************************/
unsigned char Write1DataVk2c23a(unsigned char Addr,unsigned char Dat)
{
	//START ź
	Vk2c23a_I2CStart(); 
	//SLAVEַ
	Vk2c23a_I2CWriteByte(Vk2c23a_ADDR); 
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{		
		Vk2c23a_I2CStop();
		return 1; 
	}
	//дʾRAM
	Vk2c23a_I2CWriteByte(Vk2c23a_RWRAM); 						
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop();													
		return 0;
	}
	//ʾRAMַ
	Vk2c23a_I2CWriteByte(Addr); 
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop();
		return 1;
	}
	//ʾݣ1ֽݰ2SEG
	Vk2c23a_I2CWriteByte(Dat);
	if( Vk2c23a_I2CSlaveAck()==1 )
	{
		Vk2c23a_I2CStop();
		return 1;
	}
	//STOPź
 Vk2c23a_I2CStop();
 return 0;   
}
/*******************************************************************************
* Function Name  : WritenData
* Description    : дݵʾRAM
* Input          : Addr-дramʼַ
*                : Databuf->дrambufferָ
*                : Cnt->дramݸ
* Output         : None
* Return         : 0-ok 1-fail
*******************************************************************************/
unsigned char  WritenDataVk2c23a(unsigned char Addr,unsigned char *Databuf,unsigned char Cnt)
{
	unsigned char n;
	
	//STARTź	
	Vk2c23a_I2CStart(); 									
	//SLAVEַ
	Vk2c23a_I2CWriteByte(Vk2c23a_ADDR); 	
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop();													
		return 0;										
	}
	//дʾRAM
	Vk2c23a_I2CWriteByte(Vk2c23a_RWRAM); 						
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop();													
		return 0;
	}
	//ʾRAMʼַ
	Vk2c23a_I2CWriteByte(Addr); 						
	if( 1 == Vk2c23a_I2CSlaveAck() )
	{
		Vk2c23a_I2CStop();													
		return 0;
	}
	//CntݵʾRAM
	for(n=0;n<Cnt;n++)
	{ 
		Vk2c23a_I2CWriteByte(*Databuf++);
		if( Vk2c23a_I2CSlaveAck()==1 )
		{
			Vk2c23a_I2CStop();													
			return 0;
		}
	}
	//STOPź
	 Vk2c23a_I2CStop();											
	 return 0;    
}
/*******************************************************************************
* Function Name  : Vk2c23a_DisAll
* Description    : SEGʾͬһݣbit7/bit3-COM3 bit6/bit2-COM2 bit5/bit1-COM1 bit4/bit0-COM0
* 					     : 磺0xffȫ 0x00ȫ 0x55 0xaa 0x33 
* Input          dat->дram(1ֽݶӦ2SEG)  
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_DisAll(unsigned char dat)
{
	unsigned char segi;
	unsigned char dispram[52];
	
	if(vk2c23a_maxcom==4)
	{
		for(segi=0;segi<28;segi++)
		{
			dispram[segi]=dat;
		}
		WritenDataVk2c23a(0,dispram,28);//8bitݶӦ2SEGÿ8bitݵַ1ÿ8λ1ACK
	}
	else
	{
		for(segi=0;segi<52;segi++)
		{
			dispram[segi]=dat;
		}
		WritenDataVk2c23a(0,dispram,52);//8bitݶӦ1SEGÿ8bitݵַ1ÿ8λ1ACK
	}
}
/*******************************************************************************
* Function Name  : DisSegComOn
* Description    : 1(1seg1comӦʾ)
* Input          seg->Ӧseg  
* 		           com->Ӧcom  
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_DisSegComOn(unsigned char seg,unsigned char com)
{
	if(vk2c23a_maxcom==4)
	{
		if(seg%2==0)
			Write1DataVk2c23a(seg/2,(1<<(com)));//8λݵ4bitЧÿ8bitݵַ1ÿ8λ1ACK)
		else
			Write1DataVk2c23a(seg/2,(1<<(4+com)));//8λݸ4bitЧÿ8bitݵַ1ÿ8λ1ACK
	}
	else
	{
		Write1DataVk2c23a(seg,(1<<(com)));//8λݵ4bitЧÿ8bitݵַ1ÿ8λ1ACK
	}
}
/*******************************************************************************
* Function Name  : DisSegComOff
* Description    : ر1(1seg1comӦʾ)
* Input          seg->Ӧseg  
* 		           com->Ӧcom  
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_DisSegComOff(unsigned char seg,unsigned char com)
{
	if(vk2c23a_maxcom==4)
	{
		if(seg%2==0)
			Write1DataVk2c23a(seg/2,~(1<<com));//8λݵ4bitЧÿ8bitݵַ1ÿ8λ1ACK
		else
			Write1DataVk2c23a(seg/2,~(1<<(4+com)));//8λݸ4bitЧÿ8bitݵַ1ÿ8λ1ACK
	}
	else
	{
		Write1DataVk2c23a(seg,~(1<<com));//8λݵ4bitЧÿ8bitݵַ1ÿ8λ1ACK
	}
}
/*******************************************************************************
* Function Name  : Enter_Standby
* Description    : ͹ģʽ,ʾ
* Input          None 
* Output         : None
* Return         : 0-ok 1-fail
*******************************************************************************/
void Vk2c23a_Enter_Standby(void)
{		
	WriteCmdVk2c23a(Vk2c23a_SYSSET,SYSOFF_LCDOFF);
}
/*******************************************************************************
* Function Name  : Exit_Standby
* Description    : ˳͹ģʽ
* Input          None 
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_Exit_Standby(void)
{	
	WriteCmdVk2c23a(Vk2c23a_SYSSET,SYSON_LCDON);
}

/*******************************************************************************
* Function Name  : Lowlevel_Init
* Description    : ͨGPIO
* Input          None 
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_Lowlevel_Init(void)
{
	//ͨߵƽͬӵƽת·
	//˺ݿͻƬӦ޸	
	Vk2c23a_SET_SDA_DIR();
	GPIO_SetMode(Vk2c23a_SCL_PORT, Vk2c23a_SCL_PIN, GPIO_MODE_OUTPUT);
	GPIO_SetMode(Vk2c23a_SDA_PORT, Vk2c23a_SDA_PIN, GPIO_MODE_QUASI);
		      
	Vk2c23a_SCL_H();  
	Vk2c23a_SDA_H(); 	
}
/*******************************************************************************
* Function Name  : Init
* Description    : ʼ
* Input          None 
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_Init(void)
{	
	//ܽøݿͻƬӦ޸
	Vk2c23a_Lowlevel_Init();
	WriteCmdVk2c23a(Vk2c23a_MODESET,CCOM_1_3__4); 	//ģʽ  1/3 Bais 1/4 Duty
//	WriteCmdVk2c23a(Vk2c23a_MODESET,CCOM_1_4__4); //ģʽ  1/4 Bais 1/4 Duty
	vk2c23a_maxcom=4;
//	WriteCmdVk2c23a(Vk2c23a_MODESET,CCOM_1_3__8); //ģʽ  1/3 Bais 1/8 Duty
//	WriteCmdVk2c23a(Vk2c23a_MODESET,CCOM_1_4__8); //ģʽ  1/4 Bais 1/8 Duty
//	vk2c23a_maxcom=8;
	WriteCmdVk2c23a(Vk2c23a_SYSSET,SYSON_LCDON); 		//ڲϵͳlcdʾ
	WriteCmdVk2c23a(Vk2c23a_FRAMESET,FRAME_80HZ); 	//֡Ƶ80Hz
//	WriteCmdVk2c23a(Vk2c23a_FRAMESET,FRAME_160HZ);//֡Ƶ160Hz
	WriteCmdVk2c23a(Vk2c23a_BLINKSET,BLINK_OFF); 		//˸ر	
//	WriteCmdVk2c23a(Vk2c23a_BLINKSET,BLINK_2HZ); 		//˸2HZ
//	WriteCmdVk2c23a(Vk2c23a_BLINKSET,BLINK_1HZ); 		//˸1HZ
//	WriteCmdVk2c23a(Vk2c23a_BLINKSET,BLINK_0D5HZ); 	//˸0.5HZ
	//SEG/VLCDýΪVLCDڲѹܹر,VLCDVDD̽VR=0ƫõѹ=VDD
//	WriteCmdVk2c23a(Vk2c23a_IVASET,VLCDSEL_IVAOFF_R0); 
	//SEG/VLCDýΪVLCDڲѹܹر,VLCDVDDӵVR>0ƫõѹ=VLCD
//	WriteCmdVk2c23a(Vk2c23a_IVASET,VLCDSEL_IVAOFF_R1); 
	//SEG/VLCDýΪSEGڲƫõѹ1/3bias=0.652VDD 1/4bias=0.714VDD
	WriteCmdVk2c23a(Vk2c23a_IVASET,SEGSEL_IVA00H);	
}
/*******************************************************************************
* Function Name  : disp_3num
* Description    : ʾ3λ
* Input          dat->3λ ʮ 
* Output         : None
* Return         : None
*******************************************************************************/
void disp_3num(unsigned int dat)
{		
	unsigned dat8;
		
	if(vk2c23a_maxcom==4)
	{
		dat8=dat/100%10;	//ʾλ
		vk2c23a_dispram[2]&=0xf0;
		vk2c23a_dispram[2]|=shuzi_zimo[dat8]&0x0f;
		vk2c23a_dispram[2]&=0x8f;
		vk2c23a_dispram[2]|=shuzi_zimo[dat8]&0xf0;
		
		dat8=dat/10%10; 	//ʾʮλ
		vk2c23a_dispram[3]&=0xf0;
		vk2c23a_dispram[3]|=shuzi_zimo[dat8]&0x0f;
		vk2c23a_dispram[3]&=0x8f;
		vk2c23a_dispram[3]|=shuzi_zimo[dat8]&0xf0;
		
		dat8=dat%10;			//ʾλ
		vk2c23a_dispram[4]&=0xf0;
		vk2c23a_dispram[4]|=shuzi_zimo[dat8]&0x0f;
		vk2c23a_dispram[4]&=0x8f;
		vk2c23a_dispram[4]|=shuzi_zimo[dat8]&0xf0;
			
		if(dat<100)				//С100λʾ
		{
		vk2c23a_dispram[2]&=0xf0;
		vk2c23a_dispram[2]&=0x8f;
		}
		if(dat<10) 	//С10ʮλʾ
		{
		vk2c23a_dispram[3]&=0xf0;
		vk2c23a_dispram[3]&=0x8f;
		}
		//SEG11
//		Write1DataVk2c23a(2,vk2c23a_dispram[2]);
//		Write1DataVk2c23a(3,vk2c23a_dispram[3]);
//		Write1DataVk2c23a(4,vk2c23a_dispram[4]);
		//SEGͶ
		WritenDataVk2c23a(2,&vk2c23a_dispram[2],3);
	}
	else
	{
		dat8=dat/100%10;	//ʾλ
		vk2c23a_dispram[2]&=0x80;
		vk2c23a_dispram[2]|=shuzi_zimo[dat8];
		
		dat8=dat/10%10; 	//ʾʮλ
		vk2c23a_dispram[3]&=0x80;
		vk2c23a_dispram[3]|=shuzi_zimo[dat8];
		
		dat8=dat%10;			//ʾλ
		vk2c23a_dispram[4]&=0x80;
		vk2c23a_dispram[4]|=shuzi_zimo[dat8];
			
		if(dat<100)				//С100λʾ
		{
			vk2c23a_dispram[2]&=0x80;
		}
		if(dat<10) 	//С10ʮλʾ
		{
			vk2c23a_dispram[3]&=0x80;
		}
		//SEG11
//		Write1DataVk2c23a(2,vk2c23a_dispram[2]);
//		Write1DataVk2c23a(3,vk2c23a_dispram[3]);
//		Write1DataVk2c23a(4,vk2c23a_dispram[4]);
		//SEGͶ
		WritenDataVk2c23a(2,&vk2c23a_dispram[2],3);
	}
}	
/*******************************************************************************
* Function Name  : test_Main
* Description    : 
* Input          None 
* Output         : None
* Return         : None
*******************************************************************************/
void Vk2c23a_Main(void)
{	
	Vk2c23a_Init();
	Vk2c23a_DisAll(0x00);
	while(1)
	{
		Vk2c23a_DisAll(0xff);			//LCDȫ
		delay_nms(1000);					//ʱ1S
		
		Vk2c23a_DisAll(0x00);			//LCDȫ
		delay_nms(1000);					//ʱ1S
		
		disp_3num(123);           //ʾ123
		delay_nms(3000);					//ʱ3S
		
		Vk2c23a_DisAll(0x00);			//LCDȫ
		for(vk2c23a_segi=0;vk2c23a_segi<Vk2c23a_SEGNUM;vk2c23a_segi++)//seg
		{
			for(vk2c23a_comi=0;vk2c23a_comi<vk2c23a_maxcom;vk2c23a_comi++)//com
			{
				if(vk2c23a_maxcom==8)
					Vk2c23a_DisSegComOn(vk2c23a_segtab[vk2c23a_segi]-4,vk2c23a_comi);	//LCD
				else
					Vk2c23a_DisSegComOn(vk2c23a_segtab[vk2c23a_segi],vk2c23a_comi);	//LCD
				delay_nms(300);				//ʱ300mS
				Vk2c23a_DisAll(0x00);	//LCDȫ
			}
		}
		
		Vk2c23a_DisAll(0xff);			//LCDȫ
		delay_nms(1000);					//ʱ1S
		for(vk2c23a_segi=0;vk2c23a_segi<Vk2c23a_SEGNUM;vk2c23a_segi++)//seg
		{
			for(vk2c23a_comi=0;vk2c23a_comi<vk2c23a_maxcom;vk2c23a_comi++)//com
			{
				if(vk2c23a_maxcom==8)
					Vk2c23a_DisSegComOff(vk2c23a_segtab[vk2c23a_segi]-4,vk2c23a_comi);	//LCDر
				else
				Vk2c23a_DisSegComOff(vk2c23a_segtab[vk2c23a_segi],vk2c23a_comi);	//LCDر
					delay_nms(300);				//ʱ300mS
				Vk2c23a_DisAll(0xff);	//LCDȫ
			}
		}
		delay_nms(1000);					//ʱ1S
		
		Vk2c23a_DisAll(0x00);			//LCDȫ
		delay_nms(1000);					//ʱ1S
		
		Vk2c23a_Enter_Standby();		//͹ģʽ
		delay_nms(5000);					//ʱ5S
		
		Vk2c23a_Exit_Standby();		//˳͹ģʽ
	}
}
/************************END OF FILE****/
